<?php

namespace common\modules\school\models;

class LikesCourse extends \common\components\ActiveRecordModel
{

    const LIKE = 1;
    const UNLIKE = 2;
    
    public static function tableName()
    {
        return 'likes_course';
    }

    public function name()
    {
        return 'Оценка курса';
    }

    public function attributeLabels() 
    {
        return [
            'estimate' => 'Оценка',
            'user_id' => 'Пользователь',
            'course_id' => 'Курс',
        ];
    }

    /**
     * @inheritdoc
     */
    public function rules()
    {
        return [
            [['estimate', 'user_id', 'course_id'], 'required'],
            [['estimate', 'user_id', 'course_id'], 'integer'],
        ];
    }

    /**
     * @inheritdoc
     */
    public function behaviors()
    {
        return [
            
        ];
    }
}
